Kerbal Space Program - Bug #9647

Visual glitches in 1.1.X - opaque/transparent terrain, blocky fog, no underwater surface (possibly
Unity 5 issue)
05/01/2016 07:50 PM - keyspace

Status: Unity Bug Start date: 05/01/2016
Severity: Very Low % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 1.1.0 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

System:

e Arch Linux 64-bit

e “fglrx” driver via "catalyst-hook™ package 15.12
¢ Steam download

¢ both modded and vanilla

First appeared in KSP 1.1 (was not present in 1.0.2 or 1.0.5).
Images show best (attached).
Issue seems to revolve around atmospheric effects.
Notes:

e "ksc-day.png.jpg’ - water visible through terrain

¢ “ksc-morning-1.png.jpg” and "ksc-morning-2.png.jpg" - fog line
ksc-night.png.jpg - terrain opaque, Kerbol shines through

reentry_day.png.jpg and reentry-morning.png.jpg - atmospheric effect boundary is visible in technicolor
underwater.png.jpg - no water surface

History

#1 - 05/02/2016 10:53 AM - keyspace

P.S. Since I'm using Catalyst here, I've got to run with "-force-gfx-direct” as suggested in The Linux Thread:
http://forum.kerbalspaceprogram.com/index.php?/topic/83214-the-linux-thread/

#2 - 05/03/2016 09:14 PM - anino
Confirmed.

OS: Linux Mint 64-bit

fglrx 15.20.3

steam download
-force-gfx-direct

The same results like on the keyspace's screenshots. Plus Minmus disappears completely when vessel is near of it.

#3 - 05/04/2016 08:59 AM - anino

Well, not only Minmus, Kerbin too. [[http://www.smnd.sk/anino/kerbal/screenshot3.png]] [[http://www.smnd.sk/anino/kerbal/screenshot5.png]] [[
http://www.smnd.sk/anino/kerbal/screenshot6.png]]
KSP version 1.1.2 The weird effects sometimes appear after switching from the map mode to the stage mode.

#4 - 05/04/2016 12:06 PM - keyspace

I've also experienced both cases highlighted by anino, but the kraken ate my screenshots.
#5 - 05/07/2016 09:32 PM - Navi1982

- Status changed from New to Need More Info

| think your situation is same as in [http:/bugs.kerbalspaceprogram.com/issues/9654] and similar to [
http://bugs.kerbalspaceprogram.com/issues/9663]. So check and try solution described in last link. Good luck! If not helped, give us more info: logs,
PC specs, how to reproduce.

#6 - 05/07/2016 10:42 PM - keyspace
Here's a way to reproduce.
When re-entering atmosphere on light side of Kerbin, bug is triggered by change to map view and back.

That is:

0. start game, load save (no visual glitch);

1. with a vessel previously in orbit, start entering atmosphere (in vessel view);
2. wait till burn animation;

2. change to map view;

3. change back to vessel view.

reentry kind of "effects" become visible.

If links don't work, I'll drop more specs and fish for logs.
#7 - 05/08/2016 11:47 AM - keyspace

- File Player.log added

- File KSP.log added

- File persistent.sfs added

I've tried a fresh install as suggested in #9663. Issue persists.

To test, | created a completely new system user, re-downloaded Steam and KSP 1.1.2. On this user, a guaranteed way to reproduce:
0. ‘rm settings.cfg; KSP.x86_64 -force-gfx-direct’, start new sandbox game.

1. Go into VAB, build rocket consisting of Mk1 Cockpit and a booster, launch.

2. Glitch immediately visible ("transparent" terrain, as in "ksc-night.png.jpg’).

3. Zooming far out changes the nature of the glitch.

Here's a screencast: https:/www.youtube.com/watch?v=XLpN3Aual VE

Attaching a few files - different run than screencast, but essentially the same.

#8 - 05/08/2016 01:39 PM - keyspace

I've been told this is a known issue, and indeed a Unity5 glitch:
http://forum.kerbalspaceprogram.com/index.php?/topic/137457-ubuntu-1404-64bit-unity-crash-on-load/&do=findComment&comment=2568819

Therefore stopping noise.

Please don't close until issue resolved (less dupes).

#9 - 05/27/2016 03:18 PM - Ruedii

- Status changed from Need More Info to Unity Bug

- Severity changed from Low to Very Low

The fglrx driver is in phase out now in favor of the Open Source driver.

Players who have Mesa 10.x or 11.x shouldn't be using fglrx now according to AMD's recommendations.

Because of this, | think | can take the assertiveness as a Linux user to reduce to very low and recommend that Squad reduce it to unworthy.
| will also change status to "Unity Bug" for now, and recommend it to be switched to "Moot" because it's an issue with obsolete drivers.

| will note that the workaround is to simply set the unsupported fallback shader option in the config file. (Yes | know this makes the terrain and water
ugly).

#10 - 06/18/2016 10:25 AM - Diamondexcavater
- File Glitch.png added

Can you guys look into this? this is also related i think, (water making parts transparent when highlighted )for some reason | cant open a new ticket,

but attached is also a visual error with water
